<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hsmf.datatypes (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hsmf.datatypes (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/dev/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hsmf.datatypes</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                            title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></td>
                    <td class="colLast">
                        <div class="block">A group of chunks, that are at the same point in the file structure.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                            title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></td>
                    <td class="colLast">
                        <div class="block">A group of chunks which is indexable by <a
                                href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                title="class in org.apache.poi.hsmf.datatypes"><code>MAPIProperty</code></a> entries.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html"
                                            title="class in org.apache.poi.hsmf.datatypes">AttachmentChunks</a></td>
                    <td class="colLast">
                        <div class="block">Collection of convenience chunks for standard parts of the MSG file
                            attachment.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.AttachmentChunksSorter.html"
                            title="class in org.apache.poi.hsmf.datatypes">AttachmentChunks.AttachmentChunksSorter</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Orders by the attachment number.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                            title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a></td>
                    <td class="colLast">
                        <div class="block">A Chunk that holds binary data, normally unparsed.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                            title="class in org.apache.poi.hsmf.datatypes">Chunk</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkBasedPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">ChunkBasedPropertyValue</a></td>
                    <td class="colLast">
                        <div class="block">A variable length <a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                title="class in org.apache.poi.hsmf.datatypes"><code>PropertyValue</code></a> that is
                            backed by a <a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                           title="class in org.apache.poi.hsmf.datatypes"><code>Chunk</code></a>
                            TODO Provide a way to link these up with the chunks
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/Chunks.html"
                                            title="class in org.apache.poi.hsmf.datatypes">Chunks</a></td>
                    <td class="colLast">
                        <div class="block">Collection of convenience chunks for standard parts of the MSG file.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/DirectoryChunk.html"
                                            title="class in org.apache.poi.hsmf.datatypes">DirectoryChunk</a></td>
                    <td class="colLast">
                        <div class="block">A Chunk that is just a placeholder in the MAPIMessage directory structure,
                            which contains children.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                            title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></td>
                    <td class="colLast">
                        <div class="block">Holds the list of MAPI Attributes, and allows lookup by friendly name, ID and
                            MAPI Property Name.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/MessagePropertiesChunk.html"
                            title="class in org.apache.poi.hsmf.datatypes">MessagePropertiesChunk</a></td>
                    <td class="colLast">
                        <div class="block">A <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                                                title="class in org.apache.poi.hsmf.datatypes"><code>PropertiesChunk</code></a>
                            for a Message or Embedded-Message.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/MessageSubmissionChunk.html"
                            title="class in org.apache.poi.hsmf.datatypes">MessageSubmissionChunk</a></td>
                    <td class="colLast">
                        <div class="block">A Chunk that holds the details given back by the server at submission time.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/NameIdChunks.html"
                                            title="class in org.apache.poi.hsmf.datatypes">NameIdChunks</a></td>
                    <td class="colLast">
                        <div class="block">Collection of convenience chunks for the NameID part of an outlook file</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                                            title="class in org.apache.poi.hsmf.datatypes">PropertiesChunk</a></td>
                    <td class="colLast">
                        <div class="block">
                            A Chunk which holds (single) fixed-length properties, and pointer to the
                            variable length ones / multi-valued ones (which get their own chunk).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a></td>
                    <td class="colLast">
                        <div class="block">An instance of a <a
                                href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                title="class in org.apache.poi.hsmf.datatypes"><code>MAPIProperty</code></a> inside a <a
                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                                title="class in org.apache.poi.hsmf.datatypes"><code>PropertiesChunk</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.BooleanPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.BooleanPropertyValue</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.CurrencyPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.CurrencyPropertyValue</a></td>
                    <td class="colLast">
                        <div class="block">signed 64-bit integer that represents a base ten decimal, with four
                            digits to the right of the decimal point
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.DoublePropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.DoublePropertyValue</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.FloatPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.FloatPropertyValue</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongLongPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongLongPropertyValue</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongPropertyValue</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.NullPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.NullPropertyValue</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.ShortPropertyValue</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.TimePropertyValue</a></td>
                    <td class="colLast">
                        <div class="block">64-bit integer specifying the number of 100ns periods since Jan 1, 1601</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                                            title="class in org.apache.poi.hsmf.datatypes">RecipientChunks</a></td>
                    <td class="colLast">
                        <div class="block">Collection of convenience chunks for the Recip(ient) part of an outlook
                            file.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.RecipientChunksSorter.html"
                            title="class in org.apache.poi.hsmf.datatypes">RecipientChunks.RecipientChunksSorter</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Orders by the recipient number.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hsmf/datatypes/StoragePropertiesChunk.html"
                            title="class in org.apache.poi.hsmf.datatypes">StoragePropertiesChunk</a></td>
                    <td class="colLast">
                        <div class="block">A <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                                                title="class in org.apache.poi.hsmf.datatypes"><code>PropertiesChunk</code></a>
                            for a Storage Properties, such as Attachments and
                            Recipients.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                            title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></td>
                    <td class="colLast">
                        <div class="block">A Chunk made up of a single string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/Types.html"
                                            title="class in org.apache.poi.hsmf.datatypes">Types</a></td>
                    <td class="colLast">
                        <div class="block">The types list and details are available from
                            http://msdn.microsoft.com/en-us/library/microsoft.exchange.data.contenttypes.tnef.tnefpropertytype%28v=EXCHG.140%29.aspx
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                            title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/dev/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
